System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.MessageContract(IsWrapped=false)

Instances of this class are primarily used to pass registration update request information to the resolver service from a network client of that service.

Contains the information used to update the endpoint address of a specific registration entry in the lookup table of a peer resolver service.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Constructor
  4.0.0.0

  A peer can have multiple entries for any mesh ID, each for a specific peer endpoint. Each endpoint entry is updated separately.

  Initializes a new instance of the class with the supplied peer client ID, registration ID, peer mesh ID, and peer endpoint address.

  that specifies the unique ID of the registration entry to update.
  that specifies the unique ID of the peer client that submitted the updated registration entry information.
  that contains the mesh ID of the entry.
  that contains the endpoint address to update for the registration entry.
- Property
  4.0.0.0
  System.Guid To be added. To be added.

  Gets the unique ID of the peer client that submitted the updated registration entry information.

- Method
  4.0.0.0
  System.Boolean To be added.

  Indicates whether the body of the message containing a serialized instance of this type is correctly formed.

  True if the registration update information body is correctly-formed by the sender; false if it is not.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the mesh ID of the registration entry.

- Property
  4.0.0.0
  System.ServiceModel.PeerNodeAddress To be added. To be added.

  Gets the endpoint address to update for the registration entry.

- Property
  4.0.0.0
  System.Guid To be added. To be added.

  Gets the unique ID of the registration entry to update.